Cast one asset in entities

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/projects/{project_id}/entities/casting/assets/{asset_id}

Set the casting of one asset in each entity of the list. The entities are shots, assets or episodes of the project. The other assets of each entity do not change. Thus two users can edit the casting at the same time. Set nb_occurences to 0 to remove the asset from the casting. You must be a manager of the project.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

  • asset_id string(uuid) Required

    Unique identifier of the asset to cast

application/json

Body Required

  • entity_ids array[string(uuid)] Required

    Entities to cast the asset in

  • nb_occurences integer

    Number of occurences, 0 removes the asset from the casting, omit to keep the current one (1 on a new link)

  • label string

    Casting label, omit to keep the current one

Responses

  • 200 application/json

    A map of entity identifiers to their new casting

  • 400

    The list of entities is empty, or nb_occurences is negative

  • 403

    You are not a manager of the project, or an entity is not in the project

  • 404

    The asset or an entity does not exist

PUT /data/projects/{project_id}/entities/casting/assets/{asset_id}
curl \
 --request PUT '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/entities/casting/assets/c46c80c6-e097-6887-c292-79675204e470' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "entity_ids": [
    "string"
  ],
  "nb_occurences": 42,
  "label": "string"
}'
Request examples
{
  "entity_ids": [
    "string"
  ],
  "nb_occurences": 42,
  "label": "string"
}
Response examples (200)
{}